<template>
  <div class="home">
    <img alt="Vue logo" src="../assets/logo.png">
    <h2>My name is {{ firstName }} {{ lastName }}</h2>
    <h2>Age is {{ age }}</h2>
    <h2>User Active is {{ isActive }}</h2>
    <h2>There is a user called {{ userObject.name }}</h2>
    <h2>This is User social {{ userObject.social[0] }}</h2>
  </div>
</template>

<script setup>
import {ref,reactive} from "vue";

const firstName = ref('Jimmy')
const lastName = ref('Seesang')
const age = ref(29)
const isActive = ref(true)
const userObject = reactive({
  name : "Panupong Seesang",
  age: 18,
  social: ['facebook','line','instargram','twitter'],
})
</script>
